Page MenuHomePhabricator

ApiQueryReadingListsTest::testApiQuery is failing: Timestamps passed to "rlchangedsince" cannot be older than "2018-09-12T04:18:40Z".
Closed, ResolvedPublic

Description

1) MediaWiki\Extensions\ReadingLists\Tests\Api\ApiQueryReadingListsTest::testApiQuery with data set #3 (array('2018-09-10T00:00:00Z'), array(true, array(array(array(3, 'cats', false, 'Meow!', '2018-09-13T20:59:36Z', '2018-09-13T20:59:36Z')))))
ApiUsageException: Timestamps passed to "rlchangedsince" cannot be older than "2018-09-12T04:18:40Z".

/workspace/src/includes/api/ApiUsageException.php:75
/workspace/src/includes/api/ApiBase.php:1973
/workspace/src/extensions/ReadingLists/src/Api/ApiQueryReadingLists.php:63
/workspace/src/includes/api/ApiQuery.php:249
/workspace/src/includes/api/ApiMain.php:1587
/workspace/src/includes/api/ApiMain.php:500
/workspace/src/tests/phpunit/includes/api/ApiTestCase.php:107
/workspace/src/extensions/ReadingLists/tests/phpunit/Api/ApiQueryReadingListsTest.php:73
/workspace/src/tests/phpunit/MediaWikiTestCase.php:424
/workspace/src/maintenance/doMaintenance.php:94

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php71-docker/729/consoleText

Event Timeline

Legoktm triaged this task as Unbreak Now! priority.Oct 12 2018, 4:25 AM
Legoktm created this task.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes, Aklapper. · View Herald Transcript
MSantos claimed this task.Oct 12 2018, 11:36 AM

Change 466878 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/ReadingLists@master] Fix unit test

https://gerrit.wikimedia.org/r/466878

Change 466878 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Fix unit test

https://gerrit.wikimedia.org/r/466878

Change 466946 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/ReadingLists@master] Fix unit test fo ApiQueryReadingListEntries

https://gerrit.wikimedia.org/r/466946

@Tgr suggested that the same fix will be needed for ApiQueryReadingListEntriesTest (thank you I didn't realize that before), the patch above fixes it.

Change 466946 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Fix unit test fo ApiQueryReadingListEntries

https://gerrit.wikimedia.org/r/466946

Tgr closed this task as Resolved.Oct 12 2018, 8:00 PM